- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.rules/listRevisions#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.rules/listRevisions#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.rules/listRevisions#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.rules/listRevisions#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.rules/listRevisions#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.rules/listRevisions#body.ListRuleRevisionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.rules/listRevisions#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.rules/listRevisions#body.aspect_1)

**Full name**: projects.locations.instances.rules.listRevisions

Lists all revisions of the rule.

### HTTP request

`GET https://{endpoint}/v1alpha/{name}:listRevisions`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the rule to list revisions for. Format: `projects/{project}/locations/{location}/instances/{instance}/rules/{rule}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of revisions to return per page. The service may return fewer than this value. If unspecified, at most 100 revisions will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` The page token, received from a previous `rules.listRevisions` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `rules.listRevisions` must match the call that provided the page token. |
| `view` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/RuleView`)`` The view field indicates the scope of fields to populate for the revision being returned. If unspecified, defaults to BASIC. |

### Request body

The request body must be empty.

### Response body

Response message for rules.listRevisions method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "rules": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.rules#Rule`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `rules[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.rules#Rule`)`` The revisions of the rule. |
| `nextPageToken` | `string` A token that can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.rules.listRevisions`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).